# given a tcpdump ftp trace, output one line for each window update
# in the form
#   <ack time> <window>
# where <ack time> is the time packet was acked (in seconds with
# zero at time of first packet) and <window> is the tcp sequence
# number of the highest byte in the window divided by 1024 (i.e.,
# Kbytes in window).

/LOWVAL/ {
	# read in the sequence numbers and times from which
	# all else is offset
	tzero = $2
	szero = $3
}

$6 ~ /^ack/ && $5 !~ /[SFR]/ 	{
	# convert time to seconds
	n = split ($1,t,":")
	tim = t[1]*3600 + t[2]*60 + t[3]
	printf "%7.6f\t%g\n", tim-tzero, ($7+$9)/1024-szero
}

$7 ~ /^ack/ && $5 !~ /[SFR]/ 	{
	# convert time to seconds
	n = split ($1,t,":")
	tim = t[1]*3600 + t[2]*60 + t[3]
	printf "%7.6f\t%g\n", tim-tzero, ($8+$10)/1024-szero
}
